function kh = compute_bivariate_nodal_interpolation(kf,mgmesh, j1,j2)
    np1=mgmesh.np(j1);
    np2=mgmesh.np(j2);
    kh=zeros(np1,np2);

    for i1=1:np1
        for i2=1:np2
            x = mgmesh.P(:,i1);
            y = mgmesh.P(:,i2);
            kh(i1,i2) = kf(x,y);
        end
    end
end

